lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexandre Rafalovitch <arafa...@gmail.com>
Subject Re: Java version 11 for solr 7.5?
Date Wed, 26 Sep 2018 14:07:33 GMT
The minimal required as per the changes file is 1.8 (8.x). I believe
there is an automated testing up to 10 and there were some issues
related to the modules but AFAIK they were resolved. So, you may be ok
until then.

However, the java 11 is a bit of a different beast. Both because the
public version has just been released, but also because of the license
change issues. You can see the article at:
https://blog.joda.org/2018/09/do-not-fall-into-oracles-java-11-trap.html
and the technical discussion at:
https://news.ycombinator.com/item?id=18074727

Not sure about GC, somebody else may comment on that.

Regards,
   Alex.

On 26 September 2018 at 10:00, Jeff Courtade <courtadejeff@gmail.com> wrote:
> Hello,
>
> We are looking to migrate to solr 7.5 with java 11 from solr 4.3.0 with
> java 7.
>
> I have a couple basic questions...
>
> What version of Java is current solr 7.5 development and testing based on?
>
> Can we use java 11 with solr 7.5? any known issues?
>
> Can we use GC1 garbage collection yet or do we still need to use CMS?
>
> --
> Thanks,
>
> Jeff Courtade
> M: 240.507.6116

Mime
View raw message